バージョン選択

フォーラム

メニュー

オンライン状況

74 人のユーザが現在オンラインです。 (46 人のユーザが フォーラム を参照しています。)
登録ユーザ: 1
ゲスト: 73
bobbykamar もっと...

サイト内検索

質問 > フロント機能 > 多言語設定ができません。

フロント機能

新規スレッドを追加する

スレッド表示 | 新しいものから 前のトピック | 次のトピック | 下へ
投稿者 スレッド
beginner1
投稿日時: 2019/6/4 17:24
対応状況: −−−
新米
登録日: 2019/6/4
居住地:
投稿: 3
多言語設定ができません。
▼テンプレート
[EC-CUBE] EC-CUBE4

[OS] mac OS10
[PHP] 使用しているPHPのバージョン
[データベース] 使用しているDB名、バージョン
[導入プラグインの有無] 無し
[カスタマイズの有無]  無し
[現象]

ECCUBEを初めてインストールしました。
多言語(英語)設定をしたいのですが、設定変更に必要なEC-CUBEのルートディレクトリ直下にあるはずの.envファイルというのがどうしても見つかりません。 .env.install ファイルも見当たりません。

messages.en.yaml
validators.en.yaml

などの英語バージョンのファイルは見つけることはできたのですが、

色々と調べたり、探したりしたのですが、わかりません。
どなたかご教授願います。 こういった開発等は超初心者なので、わかりやすく説明していただけたらありがたいです。 よろしくお願いします。
kishikawa
投稿日時: 2019/6/5 13:44
対応状況: −−−
常連
登録日: 2018/12/20
居住地:
投稿: 50
Re: 多言語設定ができません。
tao_s
投稿日時: 2019/6/5 17:00
対応状況: −−−
仙人
登録日: 2008/8/20
居住地: 東京
投稿: 780
Re: 多言語設定ができません。
公式サイトで配布されているEC-CUBEのzipファイルは、多言語対応のテーマが同梱されていないので、githubから落とす必要があります。
https://github.com/EC-CUBE/ec-cube/releases/tag/4.0.2

あと、最新バージョンでは言語設定を.envじゃなくてconfigファイルで設定するのが推奨される様に変わってたと思います。


----------------
EC-CUBEカスタマイズ相談してください。
緊急のEC-CUBEの障害対応
EC-CUBEカスタマイズブログ

beginner1
投稿日時: 2019/6/7 18:24
対応状況: −−−
新米
登録日: 2019/6/4
居住地:
投稿: 3
Re: 多言語設定ができません。
Kishikawa さま

ご教授ありがとうございます。

週末に頑張って探してみます。
取り急ぎお礼まで。

またご報告します。
beginner1
投稿日時: 2019/6/7 18:26
対応状況: −−−
新米
登録日: 2019/6/4
居住地:
投稿: 3
Re: 多言語設定ができません。
tao_s さま

ご教授ありがとうございます。
変更点まで教えていただきありがとうございます。

週末に頑張ってファイルを落としてみます。


取り急ぎお礼まで。

またご報告いたします。

スレッド表示 | 新しいものから 前のトピック | 次のトピック | トップ


 



ログイン


EC-CUBEペイメント

公式ストアEC-CUBE4系デザインテンプレート続々リリース中

統計情報

総メンバー数は54,026名です
総投稿数は94,127件です

投稿数ランキング

1
seasoft
7332
2
AMUAMU
2712
3
nanasess
2014
4
468
1908
5
yuh
1610
6
umebius
1398
7
red
1376
8
h_tanaka
939
9
fukap
907
10
tsuji
856
11
shutta
835
12 ramrun 789
13
tao_s
780
14 karin 656
15 sumida 641
16
homan
633
17 DELIGHT 571
18
patapata
502
19
flealog
483
20 tonton 437


ネットショップの壺

EC-CUBEインテグレートパートナー

Copyright© EC-CUBE CO.,LTD. All Rights Reserved.